<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

	<!-- Import Datatable sau jquery -->
	<!-- Import them style bootstrap cho datatable -->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
	<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <title>Sign Up</title>
</head>
<body>
    <div class="container">
        <div class="d-flex justify-content-center mt-5 pt-5" >
            <div class="card w-50 p-4">
                <div class="card-body">
                    <h2>Sign Up</h2>
                    <p>Please fill in this form to create an account</p>
                    <hr>
                    <div class="form-group">
                        <input id="inp-username" type="text" class="form-control" placeholder="Username">
                    </div>

                    <div class="form-group">
                        <input id="inp-email" type="email" class="form-control" placeholder="Email">
                    </div>

                    <div class="form-group">
                        <input id="inp-password" type="password" class="form-control" placeholder="Password">
                    </div>

                    <div class="form-group">
                        <input id="inp-confirm-password" type="password" class="form-control" placeholder="Confirm Password">
                    </div>

                    <div class="form-group">
                        <input id="checkbox-term" type="checkbox">
                        <label for="">I accept the Terms of use & privacy policy</label>
                    </div>
                    <button id="btn-sign-up" class="btn btn-primary w-100">Sign Up</button>
                </div>
            </div>
        </div>
    </div>
</body>
<script>

    $("#btn-sign-up").on("click", function() {
        onBtnSignUpClick();
    })
    // Hàm xử lý sự kiện nhấn nút sign up
    function onBtnSignUpClick() {
        var vDataSignUp = {
            username: "",
            email: "",
            password: "",
            confirmPassword:"",
            agreeTerm: false
        }

        getDataSignUp(vDataSignUp);
        console.log(vDataSignUp);
        var vValidate = validateData(vDataSignUp);
        if(vValidate) {
            callApiToSignUp(vDataSignUp);
        }
    }

    //Hàm lấy data từ form
    function getDataSignUp(paramData) {
       paramData.username = $("#inp-username").val();
       paramData.email = $("#inp-email").val();
       paramData.password = $("#inp-password").val();
       paramData.confirmPassword = $("#inp-confirm-password").val();
       paramData.agreeTerm = $('#checkbox-term').is(":checked")
    }

    // Hàm validate dữ liệu
    function validateData(paramData) {
        if(paramData.username == "") {
            alert("Vui lòng nhập username");
            return false;
        }
        if(paramData.email == "") {
            alert("Vui lòng nhập email");
            return false;
        }
        if(paramData.password == "") {
            alert("Vui lòng nhập mật khẩu!");
            return false;
        }
        if(paramData.confirmPassword == "") {
            alert("Vui lòng xác nhận mật khẩu!");
            return false;
        }
        if(paramData.password != paramData.confirmPassword) {
            alert("Xác nhận mật khẩu chưa đúng");
            return false;

        }
        if(paramData.agreeTerm == false) {
            alert("Vui lòng đồng ý điều khoản trước khi đăng ký!");
            return false;
        }
        return true;
    }

    // Hàm gọi API để tạo mới tài khoản
    function callApiToSignUp(paramData) {
        var vData = {
            username: paramData.username,
            password: paramData.password,
            email: paramData.email
        }

        $.ajax({
            type: "POST",
            url: "http://localhost:8080/api/auth/signup",
            contentType: "application/json",
            data: JSON.stringify(vData),
            success: function(paramRes) {
                alert("Đăng ký thành công!");
                console.log(paramRes);
            },
            error: function(paramError) {
                alert("Đăng ký thất bại!");
                console.log(paramError.status);
            }
        })
    }
</script>
</html>